/*******************
VARIABLES
*******************/
var closeAdButton;
var clickthroughButton;
/*******************
INITIALIZATION
*******************/
function checkIfEBInitialized(event)
{
	if(!EB.isInitialized())
	{
		EB.addEventListener(EBG.EventName.EB_INITIALIZED, initializeCreative);
	}
	else
	{
		initializeCreative();
	}
}

function initializeCreative()
{
	initializeGlobalVariables();
	addEventListeners();
}

function initializeGlobalVariables()
{
	clickthroughButton = document.getElementById("clickthrough-button");	
	closeAdButton = document.getElementById("close-ad-button");
}

function addEventListeners()
{
	clickthroughButton.addEventListener("click", clickthrough);
	closeAdButton.addEventListener("click", closeAd);
}

/*******************
EVENT HANDLERS
*******************/
function clickthrough()
{	
	EB.clickthrough();
}

function closeAd()
{
	EB.userActionCounter("closeAd");
	EB._sendMessage("closeAd", {});
}

window.addEventListener("DOMContentLoaded", checkIfEBInitialized, false);